<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/**
 * Scripts Class
 *
 * Handles adding scripts functionality to the admin pages
 * as well as the front pages.
 *
 * @package WooCommerce - PDF Vouchers
 * @since 1.0.0
 */
class EDD_Vou_Pf_Script {

	public function __construct() {
		
	}
	
	/**
	 * Enqueue Scrips
	 * 
	 * Handles to enqueue script on 
	 * needed pages
	 * 
	 * @package Easy Digital Downloads PDF Vouchers - Multi Language Characters Support
	 * @since 1.0.0
	 */
	public function edd_vou_pf_admin_scripts (){

		wp_register_script( 'edd-vou-pf-admin-script',EDD_VOU_PF_URL . 'includes/js/edd-vou-pf-admin.js', array(), EDD_VOU_PF_PLUGIN_VERSION );
		wp_enqueue_script( 'edd-vou-pf-admin-script' );
	}

	/**
	 * Adding Hooks
	 *
	 * Adding proper hoocks for the scripts.
	 *
	 * @package WooCommerce - PDF Vouchers
	 * @since 1.0.0
	 */
	public function add_hooks() {

		//add script for new and edit post and purchased voucher code
		add_action( 'admin_enqueue_scripts', array( $this, 'edd_vou_pf_admin_scripts' ) );

		
	}
}